DACSINIT(1)

Name
dacsinit - Configure a minimal DACS federation interactively

Synopsis

dacsinit [-d] [-n] [--version]

DESCRIPTION

This program is part of the DACS suite.

The dacsinit command interactively creates a minimal DACS federation and jurisdiction. By default, the program uses the default paths that were established when DACS was built and the example paths used by dacs.quick(7)[1]. When prompted, typing Return/Enter selects the default value.

It can also be used to create a configuration for a federation with one very basic jurisdiction based on names input to dacsinit. The resulting configuration can then be extended or customized manually.

OPTIONS

The following options are accepted:

-d
    Avoid overwriting "real" files by appending a a suffix ("-xxx") to all files installed by this program. This is useful for debugging, but you must clean up these bogus files manually.

-n
    Do not actually do anything, but print the actions that would be done. Can be used with -d.

--version
    Print version information and exit.

DIAGNOSTICS

The program exits 0 if everything was fine, 1 if an error occurred.

SEE ALSO

dacs.quick(7)[1]

AUTHOR

Distributed Systems Software (www.dss.ca[2])

COPYING

Copyright © 2003-2014 Distributed Systems Software. See the LICENSE[3] file that accompanies the distribution for licensing information.

Notes

1.  dacs.quick(7)
    http://dacs.dss.ca/man/dacs.quick.7.html

2.  www.dss.ca
    http://www.dss.ca

3.  LICENSE
    http://dacs.dss.ca/man/../misc/LICENSE